import { MembershipConfig } from '@dvn/core/models/membership-config';
import { CalendarConfig } from '@dvn/takvim/api/models';
import { dvnSpaces } from './dvn-spaces';
export const takvimCalendarConfigs = (config) => ({
  takvimCalendarConfigsBasic: CalendarConfig.decode({
    _id: 'takvimCalendarConfigsBasic',
    _created: new Date(),
    _updated: new Date(),
    base: 'khanguru',
    space: dvnSpaces(config).dvnSpaces1,
    name: 'takvimCalendarConfigsBasic',
    membershipPreferences: [
      {
        membershipConfig: MembershipConfig.decode({ _id: 'mentors' }),
        canCreateAvailableTime: true,
        eligibleMembershipsForCustomTime: [
          MembershipConfig.decode({ _id: 'mentees' }),
        ]
      },
      {
        membershipConfig: MembershipConfig.decode({ _id: 'mentees' }),
        canCreateAvailableTime: true,
      },
    ]
  }),
});
